For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Details About a SKU

Get details about a SKU given SKU ID

Note: For more details on this endpoint and the other possible filter options it can take, please refer to the API Reference

Get Sku by ID

get
Path parameters
sku_idinteger · int64Required
Query parameters
base_currencystringOptional
includestring · enumOptional

Comma-separated list of extra data to be included.

Default: sku_dimensionsPossible values:
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
200

successful operation

application/json

A purchasable variant of an Offer (product). Each SKU represents a unique combination of Variant values (e.g. Size=Medium + Color=Blue) and has its own price, inventory, and availability. Use the SKU id when adding items to a cart or placing orders. All monetary values are in the smallest currency unit (e.g. cents for USD).

idinteger · int64Read-onlyRequired

The unique ID of the Sku.

offer_idinteger · int64Required

ID of the parent Offer that this Sku is a child of.

merchant_idinteger · int32Required

ID of the Merchant that originated the Sku.

external_idstringRequired

The ID of the Sku in the merchants external store.

namestringRequired

Name of the Sku. This often a combination of the Offer name and the Variant Values unique to this Sku.

asinstring · nullableOptional

Amazon Standard Identification Number

gtinstring · nullableOptional

Global Trade Item Number

upcstring · nullableOptional

Universal Product Code

eanstring · nullableOptional

European Article Number

isbnstring · nullableOptional

International Standard Book Number

in_stockbooleanRead-onlyRequired

Is the Sku in stock in the merchants external store.

qty_availableinteger · int32 · max: 30000Required

The total quantity of this SKU available for purchase.

inventory_trackedbooleanRead-onlyRequired

Is the Sku's inventory tracked in the merchants system. Untracked inventory can be oversold even when the available quantity is 0.

sale_priceinteger · int32Required

Sale price of the SKU in cents (e.g. 2999 = $29.99). This is the actual price the customer will be charged when this SKU is purchased.

Example: 2999
retail_priceinteger · int32Required

Retail price of the SKU in cents (e.g. 3999 = $39.99). This is often a "Compare-To" or "MSRP" type price and is typically not what the customer will be charged.

Example: 3999
currencystring · min: 3 · max: 3Required

ISO 4217 currency code for this SKU.

Example: USD
external_currencystring · min: 3 · max: 3 · nullableRead-onlyOptional

ISO 4217 currency code representing the merchants default currency in their external commerce platform.

Example: USD
presented_currencystring · min: 3 · max: 3 · nullableRead-onlyOptional

ISO 4217 currency code representing the currency that prices are displayed in to the end user. May differ from currency if currency conversion is active.

Example: USD
taxablebooleanRequired

Is the Sku taxable.

tax_typestring · enumRequired

Type of Tax on this Sku.

Possible values:
typestring · enumRequired

Product type of this SKU. PHYSICAL products require a shipping address and shipping method; DIGITAL products do not.

Possible values:
statusstring · enumRead-onlyRequired

Current status of the SKU.

Possible values:
date_createdstring · date-timeRead-onlyRequired

Date when the SKU was first created in Violet.

date_last_modifiedstring · date-timeRead-onlyRequired

Date when the SKU was last updated in Violet.

display_orderinteger · int32 · nullableOptional

The order that the merchant has chosen to display this Sku in relation to other Sku's that are children of the same Offer.

get/catalog/skus/{sku_id}
GET /v1/catalog/skus/{sku_id} HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
{
  "id": 411203,
  "offer_id": 248519,
  "merchant_id": 4821,
  "external_id": "44218309214",
  "name": "Air Flex Runner - Medium",
  "in_stock": true,
  "qty_available": 42,
  "inventory_tracked": true,
  "sale_price": 8999,
  "retail_price": 9999,
  "currency": "USD",
  "taxable": true,
  "tax_type": "APPAREL",
  "albums": [],
  "variant_values": [
    {
      "id": 530118,
      "external_id": "Medium",
      "name": "Medium",
      "display_order": 1
    }
  ],
  "type": "PHYSICAL",
  "status": "AVAILABLE",
  "date_created": "2024-01-15T10:30:00+0000",
  "date_last_modified": "2024-06-22T14:37:46+0000",
  "sku_dimensions": {
    "sku_id": 411203,
    "weight": 0.85,
    "height": 12.5,
    "width": 31,
    "length": 21,
    "type": "SKU"
  }
}

Last updated

Was this helpful?